curl -X GET "https://api.nedzo.ai/v1/workspaces/123e4567-e89b-12d3-a456-426614174000" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"accountId": "789e4567-e89b-12d3-a456-426614174000",
"name": "My Workspace",
"description": "Main workspace",
"timezone": "America/New_York",
"icon": null,
"contactName": null,
"contactEmail": null,
"contactPhone": null,
"streetAddress": null,
"state": null,
"zip": null,
"country": null,
"businessRegistrationNumber": null,
"balance": 0,
"isRebilled": false,
"rebillingMarkup": 1,
"autoTopupEnabled": false,
"autoTopupThreshold": null,
"autoTopupAmount": null,
"createdAt": "2024-01-15T10:30:00Z",
"updatedAt": "2024-01-15T10:30:00Z"
}
Retrieve a single workspace by its UUID using the Nedzo REST API. Returns the workspace name, creation date, phone number, and configuration details.
curl -X GET "https://api.nedzo.ai/v1/workspaces/123e4567-e89b-12d3-a456-426614174000" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"accountId": "789e4567-e89b-12d3-a456-426614174000",
"name": "My Workspace",
"description": "Main workspace",
"timezone": "America/New_York",
"icon": null,
"contactName": null,
"contactEmail": null,
"contactPhone": null,
"streetAddress": null,
"state": null,
"zip": null,
"country": null,
"businessRegistrationNumber": null,
"balance": 0,
"isRebilled": false,
"rebillingMarkup": 1,
"autoTopupEnabled": false,
"autoTopupThreshold": null,
"autoTopupAmount": null,
"createdAt": "2024-01-15T10:30:00Z",
"updatedAt": "2024-01-15T10:30:00Z"
}
Documentation Index
Fetch the complete documentation index at: https://docs.nedzo.ai/llms.txt
Use this file to discover all available pages before exploring further.
curl -X GET "https://api.nedzo.ai/v1/workspaces/123e4567-e89b-12d3-a456-426614174000" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"accountId": "789e4567-e89b-12d3-a456-426614174000",
"name": "My Workspace",
"description": "Main workspace",
"timezone": "America/New_York",
"icon": null,
"contactName": null,
"contactEmail": null,
"contactPhone": null,
"streetAddress": null,
"state": null,
"zip": null,
"country": null,
"businessRegistrationNumber": null,
"balance": 0,
"isRebilled": false,
"rebillingMarkup": 1,
"autoTopupEnabled": false,
"autoTopupThreshold": null,
"autoTopupAmount": null,
"createdAt": "2024-01-15T10:30:00Z",
"updatedAt": "2024-01-15T10:30:00Z"
}
Was this page helpful?